/***************************************************************************
 *   SDL_rwprintf.c -- implimentation of printf/vfprintf wrappers for      *
 *     SDL_rwops                                                           *
 *                                                                         *
 *   Copyright (C) 2004 by Tyler Montbriand                                *
 *   tsm@accesscomm.ca                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include <stdio.h>
#include "SDL_rwprintf.h"

#define RW_BUFSIZ   4096

int rwprintf(SDL_RWops *c, const char *cmdstr, ...)
{
  int retval;
  va_list ap;

  va_start(ap,cmdstr);
  retval=vrwprintf(c,cmdstr,ap);
  va_end(ap);

  return(retval);
}

int vrwprintf(SDL_RWops *c, const char *cmdstr, va_list ap)
{
  int retval;
  char buf[RW_BUFSIZ];

#ifdef WIN32
  retval=vsprintf(buf,cmdstr,ap);
#else
  retval=vsnprintf(buf,RW_BUFSIZ,cmdstr,ap);
#endif
  if(retval>0)
    return(SDL_RWwrite(c,buf,1,retval));
  else
    return(retval);
}
